electric (9.07+dfsg-3ubuntu2) bionic; urgency=medium

  * Build using the default OpenJDK.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 21 Apr 2018 15:03:48 +0200

electric (9.07+dfsg-3) unstable; urgency=medium

  [ Markus Koschany ]
  * Add java9.patch and fix FTBFS with OpenJDK 9.
    Thanks to Chris West for the report (Closes: #873219)
  * Declare compliance with Debian Policy 4.1.1.
  * Remove the alternative dependency on java6-runtime because Java 6 is
    obsolete and no longer supported in Debian.
  * Update wrapper script and require Java 7 at least.
  * Build with OpenJDK 9.

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 29 Nov 2017 13:51:27 +0100

electric (9.07+dfsg-2) unstable; urgency=medium

  [ Stuart Prescott ]
  * Fix Vcs-Git URL
    '/git' was missing resulting in a 404

  [ Markus Koschany ]
  * Remove scala from Build-Depends because it is not strictly required.
    (Closes: #847297)
  * Declare compliance with Debian Policy 4.0.0.
  * Drop imagemagick from B-D and don't convert the icon to the deprecated xpm
    format.
  * Drop deprecated menu file.
  * Remove Version entry from electric.desktop.
  * Use https for Format field.

 -- Markus Koschany <apo@debian.org>  Sat, 24 Jun 2017 19:14:49 +0200

electric (9.07+dfsg-1) unstable; urgency=medium

  * New upstream version 9.07+dfsg.
  * Switch to compat level 10.
  * Declare compliance with Debian Policy 3.9.8.
  * Vcs-fields: Use https.
  * Update public signing-key.
  * Update my e-mail address.
  * electric wrapper: Try to find java6 runtime instead of openjdk.

 -- Markus Koschany <apo@debian.org>  Mon, 28 Nov 2016 00:16:21 +0100

electric (9.06+dfsg-1) unstable; urgency=medium

  * Imported Upstream version 9.06+dfsg.
  * Use --download-current-version for get-orig-source target.
  * Declare compliance with Debian Policy 3.9.6.
  * Vcs-Browser field: Switch to cgit.
  * debian/control: Add all build-dependencies only to Build-Depends.
  * Install ElectricIcon64x64.png icon. Drop debian/icons directory.
    Convert ElectricIcon64x64.png with imagemagick to electric.xpm at
    build-time.
  * Update copyright years.

 -- Markus Koschany <apo@gambaru.de>  Wed, 12 Aug 2015 13:15:54 +0200

electric (9.05+dfsg-1) unstable; urgency=medium

  * Imported Upstream version 9.05+dfsg.
  * Add signing-key.pgp and check for valid upstream tarballs with uscan's
    pgpsigurlmangle feature.
  * Move the package to Git.

 -- Markus Koschany <apo@gambaru.de>  Tue, 08 Jul 2014 21:54:23 +0200

electric (9.04+dfsg-1) unstable; urgency=medium

  * Imported Upstream version 9.04. (Closes: #598445)
  * Declare compliance with Debian Policy 3.9.5.
  * Use compat level 9 and require debhelper >= 9.
  * debian/control:
    - Remove Onkar Shinde from Uploaders. He is apparently not active anymore.
    - Add myself to Uploaders.
    - Use canonical VCS fields.
    - New build-dependencies for plugins and additional features:
      + scala, jython, libslf4j-java.
    - Use ${java:Depends} substvar.
    - Remove recommendation for libjava3d-java. It is a dependency now.
    - Depend on default-jre | java7-runtime | java6-runtime.
  * electric.desktop: Add comment in German and Keywords.
  * Drop README.source since source format 3.0 uses quilt by default.
  * Drop TODO.Debian. Done.
  * Drop ant.properties files. Not needed.
  * Drop orig.tar.sh script and use the Files-Excluded mechanism.
  * Update menu file. Add longtitle and icon entry.
  * Add electric.xpm icon and install it to /usr/share/pixmaps.
  * wrap-and-sort -sa.
  * debian/patches:
    - Drop 01_fix_build_xml.patch. It is obsolete.
    - Add build.patch.
      + Search for jars in /usr/share/java.
      + Use UTF-8 for encoding.
      + Do not build MacOSX specific code.
  * Switch from cdbs to javahelper and dh sequencer.
  * Move icons to debian/icons subdirectory.
  * Rename wrappers directory to bin.
  * Improve watch file. Mangle version correctly.
  * electric.1: Update OPTIONS section for latest upstream release and remove
    FILES paragraph.

 -- Markus Koschany <apo@gambaru.de>  Sat, 05 Apr 2014 12:06:15 +0200

electric (8.10-2) unstable; urgency=low

  * Team upload
  * Switch to default-jdk.
  * Switch to source format 3.0.
  * Switch to debhelper level 7.

 -- Torsten Werner <twerner@debian.org>  Mon, 12 Sep 2011 21:59:35 +0200

electric (8.10-1) unstable; urgency=low

  * New upstream version.
  * debian/control
    - Add libjava3d-java and quilt build dependencies.
    - Update standards version to 3.8.3.
    - Add libjava3d-java as recommends to binary package.
  * debian/rules
    - Use quilt patch system instead of simple patchsys.
    - Add java3d related jar files to DEB_JARS.
  * debian/patches/*
    - Update as per current upstream source. Convert to quilt.
  * debian/ant.properties
    - Do not disable 3D plugin anymore.
    - Use new property to disable compilation of OS X related classes.
  * debian/wrappers/electric
    - Add java3d related jar files to runtime classpath.
  * debian/README.source
    - Change text to the appropriate one for quilt.

 -- Onkar Shinde <onkarshinde@ubuntu.com>  Sat, 09 Jan 2010 16:26:04 +0530

electric (8.09-1) unstable; urgency=low

  * New upstream version.
  * debian/control
    - Add myself to uploaders.
    - Update standards version to 3.8.2. No change needed.
    - Add java-wrappers dependency.
  * debian/rules
    - Move get-orig-source logic to orig-tar.sh.
    - Remove unused variable VERSION.
  * debian/watch
    - Add orig-tar.sh action.
  * debian/patches/01_fix_build_xml.patch
    - Update for current version.
  * debian/orig-tar.sh
    - Add to use with uscan.
  * debian/wrappers/electric
    - Modify to use java-wrappers.
  * debian/install
    - Install the jar file to /usr/share/java instead of /usr/share/electric.

 -- Onkar Shinde <onkarshinde@ubuntu.com>  Sun, 12 Jul 2009 15:52:29 +0530

electric (8.08-1) unstable; urgency=low

  * New upstream version.

 -- Onkar Shinde <onkarshinde@ubuntu.com>  Thu, 08 Jan 2009 02:05:08 +0530

electric (8.07-2) unstable; urgency=low

  * debian/control
    - Remove Sun JDK from build dependencies.
    - Add hard dependency on OpenJDK JRE as the program does not run with GCJ.
    - Remove default-jre from runtime dependencies. (Closes: #503780)
  * debian/rules
    - Remove Sun JDK home directories.
  * debian/wrappers/electric
    - Use java binary from OpenJDK so the program has no problems launching
      when more than one JRE are present. This is similar to how it is done
      for jftp.
  * debian/watch
    - Fix the uscan error.

 -- Onkar Shinde <onkarshinde@ubuntu.com>  Thu, 06 Nov 2008 00:12:17 +0530

electric (8.07-1) unstable; urgency=low

  * Merge with Ubuntu
  * Remaining Debian changes
    - debian/control
      * electric doesn't build with GCJ. Hence remove default-jdk from build
        depends.
      * Set 'Maintainer' to Debian Java Maintainers. Remove
        XSBC-Original-Maintainer field.
      * Add 'Uploaders' field.
      * Add Vcs-* fields
    - debian/copyright
      * Update copyright holders, GPL 2 -> GPL 3.

 -- Onkar Shinde <onkarshinde@ubuntu.com>  Thu, 11 Sep 2008 01:04:45 +0530
    
electric (8.07-0ubuntu1) intrepid; urgency=low

  * New Upstream version. Please check changelog for details. (LP: #242720)
  * debian/control
    - Add build dependencies *-jdk, cdbs and bsh.
    - Remove build dependency dpatch. We will be using CDBS simple patchsys.
    - Refreshed runtime dependencies to default-jre | java2-runtime and bsh.
    - Added home page field.
    - Standard version 3.8.0.
    - Modify Maintainer value to match the DebianMaintainerField
      specification.
    - Changed email address for original maintainer to indicate who has
      refreshed the packaging.
  * debian/rules
    - Revamped to use cdbs.
    - Added get-orig-source target.
  * debian/patches
    - 00list, 02_sensible-browser.dpatch, 01_errors-numbers.dpatch,
      03_manpage.dpatch - Deleted, not relevant anymore.
    - 01_fix_build_xml.patch - Patch to fix the build.xml.
  * debian/ant.properties
    - File to set various compilation properties.
  * debian/electric.1
    - Remove the entry that causes lintian warning.
  * debian/electric.desktop
    - Change as suggested by desktop-file-validate.
  * debian/electric.docs
    - Updated as per changes in file names.
  * debian/electric.svg
    - Name changed from electric_icon.svg.
  * debian/install
    - Added appropriate locations for jar file, desktop file and wrapper shell
      script.
  * debian/README.source
    - Added to comply with standards version 3.8.0.
  * debian/TODO.Debian
    - Name changed form TODO.
  * debain/wrapper/electric
    - Wrapper shell script to launch the application.
  * debian/manpages
    - Added for installation of manpage.
  * debian/watch
    - Updated to match jar files instead of older tar.gz files.
  * debian/dirs
    - Removed, not needed anymore.
  * debian/{electric.doc-base, electric.examples, substvars}
    - Removed, not relevant anymore.
  * debian/*.debhelper
    - Removed auto generated files. Not relevant anymore.

 -- Onkar Shinde <onkarshinde@gmail.com>  Wed, 23 Jul 2008 02:09:53 +0530

electric (6.05-4) unstable; urgency=low

  * QA upload
  * Use dpatch for patch management
  * debhelper compatibility level 6: use in debian/rules as package tree
    debian/electric instead of debian/tmp
  * debian/rules: do not ignore errors of make clean 
  * renamed debian/electric.copyright to debian/copyright, change "Authors(s)"
    to "Author".
  * renamed debian/electric/menu to debianmenu, changed menu section to
    Applications/Science/Engineering, quote strings.
  * src/vhdl/vhdlparser.c: fix bug concerning display of numbers in error
    messages. Patch contributed by Ian Jackson (thanks!) (Closes: Bug#156613).
  * src/graph/graphqt.cpp and src/graph/graphunixx11.c: call sensible-browser
    instad of netscape. Add dependency on www-browser (Closes: Bug#140058).
  * Add electric.desktop file contributed by Vassilis Pandis  (thanks!)
    (Closes: Bug#367242).
  * Renamed debian/electric.dirs to debian/dirs,
    added /usr/share/{pixmaps,applicatins}.
  * Install electric icon (taken from Ubuntu patch).
  * Fix some nroff errors in manpage, patch by Nicolas François (thanks!)
    (Closes: Bug#349892).

 -- Ralf Treinen <treinen@debian.org>  Thu, 17 Jan 2008 23:04:59 +0100

electric (6.05-3) unstable; urgency=low

  * Non-maintainer upload.
  * lesstif1 is deprecated, transition to lesstif2 (Closes: #374242)
  * Fixed copyright to point to GPL license to fix lintian error

 -- Kai Hendry <hendry@iki.fi>  Fri, 14 Jul 2006 13:26:04 +0900

electric (6.05-2.1) unstable; urgency=low

  * Orphaning this package, setting maintainer to QA.

 -- Kyle McMartin <kyle@debian.org>  Thu, 17 Mar 2005 11:18:49 -0500

electric (6.05-2) unstable; urgency=low

  * New maintainer. (closes: #277731)

 -- Kyle McMartin <kyle@debian.org>  Fri, 22 Oct 2004 21:22:14 -0400

electric (6.05-1) unstable; urgency=low

  * new upstream release
  * added menu hints (closes: #128765)
  * changed doc-base to go into Technical section per menu-policy

 -- Chris Ruffin <cmruffin@debian.org>  Sat, 23 Mar 2002 11:02:56 -0500

electric (6.03-3) unstable; urgency=low

  * Upgraded standards conformance to 3.5.4.0

 -- Chris Ruffin <cmruffin@debian.org>  Sun,  3 Jun 2001 22:06:41 -0400

electric (6.03-2) unstable; urgency=low

  * Moved documentation to /usr/share/doc (closes: Bug#94788) 

 -- Chris Ruffin <cmruffin@debian.org>  Thu, 26 Apr 2001 20:32:27 -0400

electric (6.03-1) unstable; urgency=low

  * New upstream sources. 

 -- Chris Ruffin <cmruffin@debian.org>  Mon,  2 Apr 2001 20:44:08 -0400

electric (6.02.1-1) unstable; urgency=low

  * New upstrem sources.
  * Restructured package

 -- Chris Ruffin <cmruffin@debian.org>  Sat, 13 Jan 2001 20:57:44 -0500

electric (6.00-2) unstable; urgency=low

  * Added upstream-provided man page

 -- Chris Ruffin <cmruffin@debian.org>  Sat, 13 Jan 2001 15:05:06 -0500

electric (6.00-1) unstable; urgency=low

  * Initial Release. (closes: Bug#76824, Bug#76825)
  * Modified Makefile.in and src/include/config.h to bring package into
    into compliance with Debian standards.
  * Modified src/usr/usrcomek.c to specify the location of the documentation
    directory (/usr/share/doc/electric/html)

 -- Chris Ruffin <cmruffin@debian.org>  Sat,  9 Sep 2000 16:50:25 -0400



